# PowerToys Run
PowerToys Run is a quick launcher for power users that has additional
capabilities without sacrificing performance. It is open source and
modular for additional plugins. Press Alt+Space and start typing!

![](../../../doc/images/Launcher/QuickStart.gif)

# 1\. Get Started 
## 1\.1 Features
Search for applications, folders, or files
![](../../../doc/images/Launcher/Features.gif)

Search for running processes (previously
[WindowWalker](https://github.com/betsegaw/windowwalker/))

![](../../../doc/images/Launcher/FeaturesWindowWalker.gif)

Clickable buttons with keyboard shortcuts

![](../../../doc/images/Launcher/FeaturesButtons.gif)

Invoke Shell Plugin using "\> "

![](../../../doc/images/Launcher/FeaturesShell.gif)

Do a simple calculation using calculator

![](../../../doc/images/Launcher/FeaturesCalculator.gif)

## 1\.2 Settings 
  | **Settings**   |               **Action** |
  | --------------- | ------------------------------------------------------------------------------- |
  | Maximum number of results  |   Maximum number of results shown without scrolling on PowerToys Run |
  | Open PowerToys Run shortcut |  The keyboard shortcut to open/hide PowerToys Run |

## 1\.3 Keyboard Shortcuts
  | **Shortcuts**   |   **Action** |
  | ------------------ | ---------------------------------------------------------------------------------|
  | Alt+Space |         Open or hide PowerToys Run |
  | Esc |               Hide PowerToys Run |
  | Ctrl+Shift+Enter |  (Only applicable to applications) Open the selected application as administrator |
  | Ctrl+Shift+E |      (Only applicable to applications and files) Open containing folder in File Explorer |
  | Ctrl+C |            (Only applicable to folders and files) Copy path location |
  | Tab |               Navigate through the search result and context menu buttons |

# 2\. Known Issues

-   [Shudder on monitor change in a multi-monitor setup](https://github.com/microsoft/PowerToys/issues/3018)

-   [On first start, clicking away doesn't hide launcher](https://github.com/microsoft/PowerToys/issues/2973)

-   [Navigating through Tab doesn't have a clear UI indication if context buttons or search result is selected](https://github.com/microsoft/PowerToys/issues/2559)

-   ['\>' entered at the beginning disappears when you choose an option through keyboard navigation](https://github.com/microsoft/PowerToys/issues/2576)

-   [There is a misalignment in the shadow text](https://github.com/microsoft/PowerToys/issues/2494)

- [Reducing number of shown results doesn't resize search result properly](https://github.com/microsoft/PowerToys/issues/2456)

-   [Context menu buttons sometimes are not showing when hovered with mouse](https://github.com/microsoft/PowerToys/issues/2420)

- [Scroll on the first result, not the whole search result box](https://github.com/microsoft/PowerToys/issues/2306)

For a list of all known issues/suggestions, check it out
[here](https://github.com/microsoft/PowerToys/issues?q=is%3Aopen+is%3Aissue+label%3AProduct-Launcher).

# 3\. Attribution

[Wox](https://github.com/Wox-launcher/Wox/)

[Beta Tadele's Window Walker](https://github.com/Wox-launcher/Wox/)
